import 'package:rasadyar_chicken/data/models/response/user_info/user_info_model.dart';
import 'package:rasadyar_chicken/data/models/response/user_profile_model/user_profile_model.dart';

abstract class AuthRepository {
  Future<UserProfileModel?> login({required Map<String, dynamic> authRequest});

  Future<void> logout();

  Future<bool> hasAuthenticated();

  Future<UserInfoModel?> getUserInfo(String phoneNumber);

  Future<void> submitUserInfo({required String phone,String? deviceName});

}
